<?php
/*************************************************************************
Created and tested by Rick Bisbee, updated 20 Mar 2018

Serve up PDF file downloads to registered users only. Files are stored above the
public_html to prevent downloading them from a URL.

Create a directory above the public_html or www website directory.
In the TNG customconfig.php file, set the server path to your protected directory,
for example , $pdfpath = "home2/myaccount/pdf/"  (note the trailing slash).
Alternatively, you can add the $pdfpath as the first line of code to this script.

Use pdffetch.php with file name argument as a download link:
<a href="pdffetch.php?pdf=myfile.pdf">download myfile PDF</a>
*************************************************************************/
include 'subroot.php';
include $subroot.'customconfig.php';
if( isset( $_GET ) && is_array( $_GET )) {
	foreach( $_GET as $key => $value )
		${$key} = $value;

	// WORKS ON LOCALHOST AND ON LIVE SITE PHP 5.6 BUT NOT 7.2
	if(file_exists($pdfpath . $pdf)) {
		header("Content-Type:application/pdf");
		header("Content-Disposition:attachment;filename=$pdf");
		readfile($pdfpath.$pdf);
	}
	exit;
}	
?>